For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve a list of ATS application sources
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAts Application Sources

Retrieve a list of ATS application sources

GET
/ats/application-sources
GET
/rest/v2/ats/application-sources
$curl -G https://api.letsdeel.com/rest/v2/ats/application-sources \
> -H "Authorization: Bearer <token>" \
> -d cursor=cursorValue \
> -d limit=50
1{
2 "data": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
5 "slug": "sourced_internally",
6 "created_at": "2024-05-20T10:00:00.000Z",
7 "updated_at": "2024-05-20T10:00:00.000Z"
8 },
9 {
10 "id": "b2c3d4e5-f6a7-8901-2345-67890abcdef1",
11 "slug": "external_career_page",
12 "created_at": "2024-05-20T10:00:00.000Z",
13 "updated_at": "2024-05-20T10:00:00.000Z"
14 },
15 {
16 "id": "c3d4e5f6-a7b8-9012-3456-7890abcdef12",
17 "slug": "linkedin_premium",
18 "created_at": "2024-05-20T10:00:00.000Z",
19 "updated_at": "2024-05-20T10:00:00.000Z"
20 }
21 ],
22 "has_more": false,
23 "next_cursor": null,
24 "total_count": 3
25}

Returns the available application sources in the Applicant Tracking System. Token scopes: ats:read

Was this page helpful?
Previous

Add note to an application

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response

Response

Successfully retrieved application sources
datalist of objects
has_moreboolean
Indicates if there are more application sources to fetch
next_cursorstring or null
Cursor for the next page of results
total_countinteger
Total number of application sources available

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication